import{S as Vi,i as Ki,s as Gi,e as r,k as d,w as k,t as n,M as Qi,c as s,d as t,m,a,x as v,h as i,b as l,G as e,g as f,y as b,q as F,o as w,B as y,v as Xi,L as xn}from"../../chunks/vendor-hf-doc-builder.js";import{T as Bi}from"../../chunks/Tip-hf-doc-builder.js";import{D as E}from"../../chunks/Docstring-hf-doc-builder.js";import{C as In}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Ie}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as $n}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Ji(C){let h,T,_,g,M;return g=new In({props:{code:`from transformers import Mask2FormerConfig, Mask2FormerModel

# Initializing a Mask2Former facebook/mask2former-swin-small-coco-instance configuration
configuration = Mask2FormerConfig()

# Initializing a model (with random weights) from the facebook/mask2former-swin-small-coco-instance style configuration
model = Mask2FormerModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Mask2FormerConfig, Mask2FormerModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Mask2Former facebook/mask2former-swin-small-coco-instance configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = Mask2FormerConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the facebook/mask2former-swin-small-coco-instance style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Mask2FormerModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){h=r("p"),T=n("Examples:"),_=d(),k(g.$$.fragment)},l(c){h=s(c,"P",{});var u=a(h);T=i(u,"Examples:"),u.forEach(t),_=m(c),v(g.$$.fragment,c)},m(c,u){f(c,h,u),e(h,T),f(c,_,u),b(g,c,u),M=!0},p:xn,i(c){M||(F(g.$$.fragment,c),M=!0)},o(c){w(g.$$.fragment,c),M=!1},d(c){c&&t(h),c&&t(_),y(g,c)}}}function Zi(C){let h,T,_,g,M;return{c(){h=r("p"),T=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r("code"),g=n("Module"),M=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(c){h=s(c,"P",{});var u=a(h);T=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(u,"CODE",{});var L=a(_);g=i(L,"Module"),L.forEach(t),M=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(c,u){f(c,h,u),e(h,T),e(h,_),e(_,g),e(h,M)},d(c){c&&t(h)}}}function Yi(C){let h,T,_,g,M;return g=new In({props:{code:`import torch
from PIL import Image
import requests
from transformers import AutoImageProcessor, Mask2FormerModel

# download texting image
url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

# Load image preprocessor and Mask2FormerModel trained on ADE20K instance segmentation dataset
image_processor = AutoImageProcessor.from_pretrained("facebook/mask2former-swin-small-ade-instance")
model = Mask2FormerForUniversalSegmentation.from_pretrained("facebook/mask2former-swin-small-ade-instance")
inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, Mask2FormerModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># download texting image</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Load image preprocessor and Mask2FormerModel trained on ADE20K instance segmentation dataset</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/mask2former-swin-small-ade-instance&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Mask2FormerForUniversalSegmentation.from_pretrained(<span class="hljs-string">&quot;facebook/mask2former-swin-small-ade-instance&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)`}}),{c(){h=r("p"),T=n("Examples:"),_=d(),k(g.$$.fragment)},l(c){h=s(c,"P",{});var u=a(h);T=i(u,"Examples:"),u.forEach(t),_=m(c),v(g.$$.fragment,c)},m(c,u){f(c,h,u),e(h,T),f(c,_,u),b(g,c,u),M=!0},p:xn,i(c){M||(F(g.$$.fragment,c),M=!0)},o(c){w(g.$$.fragment,c),M=!1},d(c){c&&t(h),c&&t(_),y(g,c)}}}function el(C){let h,T,_,g,M;return{c(){h=r("p"),T=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r("code"),g=n("Module"),M=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(c){h=s(c,"P",{});var u=a(h);T=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(u,"CODE",{});var L=a(_);g=i(L,"Module"),L.forEach(t),M=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(c,u){f(c,h,u),e(h,T),e(h,_),e(_,g),e(h,M)},d(c){c&&t(h)}}}function ol(C){let h,T,_,g,M;return g=new In({props:{code:`from transformers import AutoImageProcessor, Mask2FormerForUniversalSegmentation
from PIL import Image
import requests
import torch

# Load Mask2Former trained on ADE20K panoptic segmentation dataset
image_processor = AutoImageProcessor.from_pretrained("facebook/mask2former-swin-small-ade-panoptic")
model = Mask2FormerForUniversalSegmentation.from_pretrained("facebook/mask2former-swin-small-ade-panoptic")

url = (
    "https://huggingface.co/datasets/hf-internal-testing/fixtures_ade20k/resolve/main/ADE_val_00000001.jpg"
)
image = Image.open(requests.get(url, stream=True).raw)
inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

# Model predicts class_queries_logits of shape \`(batch_size, num_queries)\`
# and masks_queries_logits of shape \`(batch_size, num_queries, height, width)\`
class_queries_logits = outputs.class_queries_logits
masks_queries_logits = outputs.masks_queries_logits

# Perform post-processing to get semantic, instance or panoptic segmentation maps
pred_semantic_map = image_processor.post_process_semantic_segmentation(
    outputs, target_sizes=[image.size[::-1]]
)[0]
pred_instance_map = image_processor.post_process_instance_segmentation(
    outputs, target_sizes=[image.size[::-1]]
)[0]["segmentation"]
pred_panoptic_map = image_processor.post_process_panoptic_segmentation(
    outputs, target_sizes=[image.size[::-1]]
)[0]["segmentation"]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, Mask2FormerForUniversalSegmentation
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Load Mask2Former trained on ADE20K panoptic segmentation dataset</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/mask2former-swin-small-ade-panoptic&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Mask2FormerForUniversalSegmentation.from_pretrained(<span class="hljs-string">&quot;facebook/mask2former-swin-small-ade-panoptic&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = (
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;https://huggingface.co/datasets/hf-internal-testing/fixtures_ade20k/resolve/main/ADE_val_00000001.jpg&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Model predicts class_queries_logits of shape \`(batch_size, num_queries)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># and masks_queries_logits of shape \`(batch_size, num_queries, height, width)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>class_queries_logits = outputs.class_queries_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>masks_queries_logits = outputs.masks_queries_logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Perform post-processing to get semantic, instance or panoptic segmentation maps</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred_semantic_map = image_processor.post_process_semantic_segmentation(
<span class="hljs-meta">... </span>    outputs, target_sizes=[image.size[::-<span class="hljs-number">1</span>]]
<span class="hljs-meta">... </span>)[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred_instance_map = image_processor.post_process_instance_segmentation(
<span class="hljs-meta">... </span>    outputs, target_sizes=[image.size[::-<span class="hljs-number">1</span>]]
<span class="hljs-meta">... </span>)[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;segmentation&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred_panoptic_map = image_processor.post_process_panoptic_segmentation(
<span class="hljs-meta">... </span>    outputs, target_sizes=[image.size[::-<span class="hljs-number">1</span>]]
<span class="hljs-meta">... </span>)[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;segmentation&quot;</span>]`}}),{c(){h=r("p"),T=n("Examples:"),_=d(),k(g.$$.fragment)},l(c){h=s(c,"P",{});var u=a(h);T=i(u,"Examples:"),u.forEach(t),_=m(c),v(g.$$.fragment,c)},m(c,u){f(c,h,u),e(h,T),f(c,_,u),b(g,c,u),M=!0},p:xn,i(c){M||(F(g.$$.fragment,c),M=!0)},o(c){w(g.$$.fragment,c),M=!1},d(c){c&&t(h),c&&t(_),y(g,c)}}}function tl(C){let h,T,_,g,M,c,u,L,Pr,Ot,V,se,st,Pe,Er,at,zr,jt,W,Cr,Ee,Ar,Or,Fo,jr,Sr,St,wo,Lr,Lt,yo,nt,Nr,Nt,Mo,qr,qt,ae,N,Ur,To,Dr,Rr,$o,Hr,Wr,xo,Br,Vr,Kr,P,Gr,Io,Qr,Xr,Po,Jr,Zr,Eo,Yr,es,zo,os,ts,it,rs,ss,Ut,A,as,ze,ns,is,Ce,ls,ds,Ae,ms,cs,Dt,K,ne,lt,Oe,ps,dt,fs,Rt,Co,hs,Ht,Ao,je,gs,Se,us,_s,Wt,Oo,ks,Bt,G,ie,mt,Le,vs,ct,bs,Vt,Q,Ne,Fs,qe,ws,jo,ys,Ms,Kt,q,Ue,Ts,De,$s,pt,xs,Is,Ps,U,Es,So,zs,Cs,Lo,As,Os,No,js,Ss,Gt,X,le,ft,Re,Ls,ht,Ns,Qt,x,He,qs,J,Us,qo,Ds,Rs,We,Hs,Ws,Bs,Z,Vs,Uo,Ks,Gs,Do,Qs,Xs,Js,Be,Zs,Ro,Ys,ea,oa,de,ta,me,Ve,ra,Ke,sa,Ho,aa,na,ia,ce,Ge,la,Qe,da,Wo,ma,ca,Xt,Y,pe,gt,Xe,pa,ut,fa,Jt,D,Je,ha,Ze,ga,Ye,ua,_a,ka,O,eo,va,ee,ba,Bo,Fa,wa,_t,ya,Ma,Ta,fe,$a,he,Zt,oe,ge,kt,oo,xa,vt,Ia,Yt,R,to,Pa,ro,Ea,so,za,Ca,Aa,j,ao,Oa,te,ja,Vo,Sa,La,bt,Na,qa,Ua,ue,Da,_e,er,re,ke,Ft,no,Ra,wt,Ha,or,$,io,Wa,yt,Ba,Va,lo,Ka,Mt,Ga,Qa,Xa,Ko,mo,Ja,B,co,Za,po,Ya,Tt,en,on,tn,H,rn,$t,sn,an,xt,nn,ln,It,dn,mn,cn,ve,fo,pn,ho,fn,Go,hn,gn,un,be,go,_n,uo,kn,Pt,vn,bn,Fn,Fe,_o,wn,ko,yn,Et,Mn,Tn,tr;return c=new Ie({}),Pe=new Ie({}),Oe=new Ie({}),Le=new Ie({}),Ne=new E({props:{name:"class transformers.models.mask2former.modeling_mask2former.Mask2FormerModelOutput",anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerModelOutput",parameters:[{name:"encoder_last_hidden_state",val:": FloatTensor = None"},{name:"pixel_decoder_last_hidden_state",val:": FloatTensor = None"},{name:"transformer_decoder_last_hidden_state",val:": FloatTensor = None"},{name:"encoder_hidden_states",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"pixel_decoder_hidden_states",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"transformer_decoder_hidden_states",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"transformer_decoder_intermediate_states",val:": typing.Tuple[torch.FloatTensor] = None"},{name:"masks_queries_logits",val:": typing.Tuple[torch.FloatTensor] = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"}],parametersDescription:[{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerModelOutput.encoder_last_hidden_state",description:`<strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>, <em>optional</em>) &#x2014;
Last hidden states (final feature map) of the last stage of the encoder model (backbone). Returned when
<code>output_hidden_states=True</code> is passed.`,name:"encoder_last_hidden_state"},{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerModelOutput.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also called feature maps) of the encoder
model at the output of each stage. Returned when <code>output_hidden_states=True</code> is passed.`,name:"encoder_hidden_states"},{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerModelOutput.pixel_decoder_last_hidden_state",description:`<strong>pixel_decoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>, <em>optional</em>) &#x2014;
Last hidden states (final feature map) of the last stage of the pixel decoder model.`,name:"pixel_decoder_last_hidden_state"},{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerModelOutput.pixel_decoder_hidden_states",description:`<strong>pixel_decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, , <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also called feature maps) of the pixel
decoder model at the output of each stage. Returned when <code>output_hidden_states=True</code> is passed.`,name:"pixel_decoder_hidden_states"},{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerModelOutput.transformer_decoder_last_hidden_state",description:`<strong>transformer_decoder_last_hidden_state</strong> (<code>tuple(torch.FloatTensor)</code>) &#x2014;
Final output of the transformer decoder <code>(batch_size, sequence_length, hidden_size)</code>.`,name:"transformer_decoder_last_hidden_state"},{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerModelOutput.transformer_decoder_hidden_states",description:`<strong>transformer_decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states (also called feature maps) of the
transformer decoder at the output of each stage. Returned when <code>output_hidden_states=True</code> is passed.`,name:"transformer_decoder_hidden_states"},{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerModelOutput.transformer_decoder_intermediate_states",description:`<strong>transformer_decoder_intermediate_states</strong> (<code>tuple(torch.FloatTensor)</code> of shape <code>(num_queries, 1, hidden_size)</code>) &#x2014;
Intermediate decoder activations, i.e. the output of each decoder layer, each of them gone through a
layernorm.`,name:"transformer_decoder_intermediate_states"},{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerModelOutput.masks_queries_logits",description:`<strong>masks_queries_logits</strong> (<code>tuple(torch.FloatTensor)</code> of shape <code>(batch_size, num_queries, height, width)</code>) &#x2014;
Mask Predictions from each layer in the transformer decoder.`,name:"masks_queries_logits"},{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerModelOutput.attentions",description:`<strong>attentions</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>. Self attentions weights from transformer decoder.`,name:"attentions"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/mask2former/modeling_mask2former.py#L148"}}),Ue=new E({props:{name:"class transformers.models.mask2former.modeling_mask2former.Mask2FormerForUniversalSegmentationOutput",anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerForUniversalSegmentationOutput",parameters:[{name:"loss",val:": typing.Optional[torch.FloatTensor] = None"},{name:"class_queries_logits",val:": FloatTensor = None"},{name:"masks_queries_logits",val:": FloatTensor = None"},{name:"auxiliary_logits",val:": typing.Union[typing.List[typing.Dict[str, torch.FloatTensor]], NoneType] = None"},{name:"encoder_last_hidden_state",val:": FloatTensor = None"},{name:"pixel_decoder_last_hidden_state",val:": FloatTensor = None"},{name:"transformer_decoder_last_hidden_state",val:": FloatTensor = None"},{name:"encoder_hidden_states",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"pixel_decoder_hidden_states",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"transformer_decoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"}],parametersDescription:[{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerForUniversalSegmentationOutput.loss",description:`<strong>loss</strong> (<code>torch.Tensor</code>, <em>optional</em>) &#x2014;
The computed loss, returned when labels are present.`,name:"loss"},{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerForUniversalSegmentationOutput.class_queries_logits",description:`<strong>class_queries_logits</strong> (<code>torch.FloatTensor</code>) &#x2014;
A tensor of shape <code>(batch_size, num_queries, num_labels + 1)</code> representing the proposed classes for each
query. Note the <code>+ 1</code> is needed because we incorporate the null class.`,name:"class_queries_logits"},{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerForUniversalSegmentationOutput.masks_queries_logits",description:`<strong>masks_queries_logits</strong> (<code>torch.FloatTensor</code>) &#x2014;
A tensor of shape <code>(batch_size, num_queries, height, width)</code> representing the proposed masks for each
query.`,name:"masks_queries_logits"},{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerForUniversalSegmentationOutput.auxiliary_logits",description:`<strong>auxiliary_logits</strong> (<code>List[Dict(str, torch.FloatTensor)]</code>, <em>optional</em>) &#x2014;
List of class and mask predictions from each layer of the transformer decoder.`,name:"auxiliary_logits"},{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerForUniversalSegmentationOutput.encoder_last_hidden_state",description:`<strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Last hidden states (final feature map) of the last stage of the encoder model (backbone).`,name:"encoder_last_hidden_state"},{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerForUniversalSegmentationOutput.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also called feature maps) of the encoder
model at the output of each stage.`,name:"encoder_hidden_states"},{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerForUniversalSegmentationOutput.pixel_decoder_last_hidden_state",description:`<strong>pixel_decoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Last hidden states (final feature map) of the last stage of the pixel decoder model.`,name:"pixel_decoder_last_hidden_state"},{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerForUniversalSegmentationOutput.pixel_decoder_hidden_states",description:`<strong>pixel_decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also called feature maps) of the pixel
decoder model at the output of each stage.`,name:"pixel_decoder_hidden_states"},{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerForUniversalSegmentationOutput.transformer_decoder_last_hidden_state",description:`<strong>transformer_decoder_last_hidden_state</strong> (<code>tuple(torch.FloatTensor)</code>) &#x2014;
Final output of the transformer decoder <code>(batch_size, sequence_length, hidden_size)</code>.`,name:"transformer_decoder_last_hidden_state"},{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerForUniversalSegmentationOutput.transformer_decoder_hidden_states",description:`<strong>transformer_decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states (also called feature maps) of the
transformer decoder at the output of each stage.`,name:"transformer_decoder_hidden_states"},{anchor:"transformers.models.mask2former.modeling_mask2former.Mask2FormerForUniversalSegmentationOutput.attentions",description:`<strong>attentions</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>. Self and Cross Attentions weights from transformer decoder.`,name:"attentions"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/mask2former/modeling_mask2former.py#L194"}}),Re=new Ie({}),He=new E({props:{name:"class transformers.Mask2FormerConfig",anchor:"transformers.Mask2FormerConfig",parameters:[{name:"backbone_config",val:": typing.Optional[typing.Dict] = None"},{name:"feature_size",val:": int = 256"},{name:"mask_feature_size",val:": int = 256"},{name:"hidden_dim",val:": int = 256"},{name:"encoder_feedforward_dim",val:": int = 1024"},{name:"activation_function",val:": str = 'relu'"},{name:"encoder_layers",val:": int = 6"},{name:"decoder_layers",val:": int = 10"},{name:"num_attention_heads",val:": int = 8"},{name:"dropout",val:": float = 0.0"},{name:"dim_feedforward",val:": int = 2048"},{name:"pre_norm",val:": bool = False"},{name:"enforce_input_projection",val:": bool = False"},{name:"common_stride",val:": int = 4"},{name:"ignore_value",val:": int = 255"},{name:"num_queries",val:": int = 100"},{name:"no_object_weight",val:": float = 0.1"},{name:"class_weight",val:": float = 2.0"},{name:"mask_weight",val:": float = 5.0"},{name:"dice_weight",val:": float = 5.0"},{name:"train_num_points",val:": int = 12544"},{name:"oversample_ratio",val:": float = 3.0"},{name:"importance_sample_ratio",val:": float = 0.75"},{name:"init_std",val:": float = 0.02"},{name:"init_xavier_std",val:": float = 1.0"},{name:"use_auxiliary_loss",val:": bool = True"},{name:"feature_strides",val:": typing.List[int] = [4, 8, 16, 32]"},{name:"output_auxiliary_logits",val:": bool = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Mask2FormerConfig.backbone_config",description:`<strong>backbone_config</strong> (<code>PretrainedConfig</code> or <code>dict</code>, <em>optional</em>, defaults to <code>SwinConfig()</code>) &#x2014;
The configuration of the backbone model. If unset, the configuration corresponding to
<code>swin-base-patch4-window12-384</code> will be used.`,name:"backbone_config"},{anchor:"transformers.Mask2FormerConfig.feature_size",description:`<strong>feature_size</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
The features (channels) of the resulting feature maps.`,name:"feature_size"},{anchor:"transformers.Mask2FormerConfig.mask_feature_size",description:`<strong>mask_feature_size</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
The masks&#x2019; features size, this value will also be used to specify the Feature Pyramid Network features&#x2019;
size.`,name:"mask_feature_size"},{anchor:"transformers.Mask2FormerConfig.hidden_dim",description:`<strong>hidden_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Dimensionality of the encoder layers.`,name:"hidden_dim"},{anchor:"transformers.Mask2FormerConfig.encoder_feedforward_dim",description:`<strong>encoder_feedforward_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
Dimension of feedforward network for deformable detr encoder used as part of pixel decoder.`,name:"encoder_feedforward_dim"},{anchor:"transformers.Mask2FormerConfig.encoder_layers",description:`<strong>encoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 6) &#x2014;
Number of layers in the deformable detr encoder used as part of pixel decoder.`,name:"encoder_layers"},{anchor:"transformers.Mask2FormerConfig.decoder_layers",description:`<strong>decoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 10) &#x2014;
Number of layers in the Transformer decoder.`,name:"decoder_layers"},{anchor:"transformers.Mask2FormerConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
Number of attention heads for each attention layer.`,name:"num_attention_heads"},{anchor:"transformers.Mask2FormerConfig.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder.`,name:"dropout"},{anchor:"transformers.Mask2FormerConfig.dim_feedforward",description:`<strong>dim_feedforward</strong> (<code>int</code>, <em>optional</em>, defaults to 2048) &#x2014;
Feature dimension in feedforward network for transformer decoder.`,name:"dim_feedforward"},{anchor:"transformers.Mask2FormerConfig.pre_norm",description:`<strong>pre_norm</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use pre-LayerNorm or not for transformer decoder.`,name:"pre_norm"},{anchor:"transformers.Mask2FormerConfig.enforce_input_projection",description:`<strong>enforce_input_projection</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to add an input projection 1x1 convolution even if the input channels and hidden dim are identical
in the Transformer decoder.`,name:"enforce_input_projection"},{anchor:"transformers.Mask2FormerConfig.common_stride",description:`<strong>common_stride</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
Parameter used for determining number of FPN levels used as part of pixel decoder.`,name:"common_stride"},{anchor:"transformers.Mask2FormerConfig.ignore_value",description:`<strong>ignore_value</strong> (<code>int</code>, <em>optional</em>, defaults to 255) &#x2014;
Category id to be ignored during training.`,name:"ignore_value"},{anchor:"transformers.Mask2FormerConfig.num_queries",description:`<strong>num_queries</strong> (<code>int</code>, <em>optional</em>, defaults to 100) &#x2014;
Number of queries for the decoder.`,name:"num_queries"},{anchor:"transformers.Mask2FormerConfig.no_object_weight",description:`<strong>no_object_weight</strong> (<code>int</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The weight to apply to the null (no object) class.`,name:"no_object_weight"},{anchor:"transformers.Mask2FormerConfig.class_weight",description:`<strong>class_weight</strong> (<code>int</code>, <em>optional</em>, defaults to 2.0) &#x2014;
The weight for the cross entropy loss.`,name:"class_weight"},{anchor:"transformers.Mask2FormerConfig.mask_weight",description:`<strong>mask_weight</strong> (<code>int</code>, <em>optional</em>, defaults to 5.0) &#x2014;
The weight for the mask loss.`,name:"mask_weight"},{anchor:"transformers.Mask2FormerConfig.dice_weight",description:`<strong>dice_weight</strong> (<code>int</code>, <em>optional</em>, defaults to 5.0) &#x2014;
The weight for the dice loss.`,name:"dice_weight"},{anchor:"transformers.Mask2FormerConfig.train_num_points",description:`<strong>train_num_points</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to 12544) &#x2014;
Number of points used for sampling during loss calculation.`,name:"train_num_points"},{anchor:"transformers.Mask2FormerConfig.oversample_ratio",description:`<strong>oversample_ratio</strong> (<code>float</code>, <em>optional</em>, defaults to 3.0) &#x2014;
Oversampling parameter used for calculating no. of sampled points`,name:"oversample_ratio"},{anchor:"transformers.Mask2FormerConfig.importance_sample_ratio",description:`<strong>importance_sample_ratio</strong> (<code>float</code>, <em>optional</em>, defaults to 0.75) &#x2014;
Ratio of points that are sampled via importance sampling.`,name:"importance_sample_ratio"},{anchor:"transformers.Mask2FormerConfig.init_std",description:`<strong>init_std</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"init_std"},{anchor:"transformers.Mask2FormerConfig.init_xavier_std",description:"<strong>init_xavier_std</strong> (`float&#x201C;, <em>optional</em>, defaults to 1.0) &#x2014;\nThe scaling factor used for the Xavier initialization gain in the HM Attention map module.",name:"init_xavier_std"},{anchor:"transformers.Mask2FormerConfig.use_auxiliary_loss",description:"<strong>use_auxiliary_loss</strong> (<code>boolean``, *optional*, defaults to </code>True<code>) -- If </code>True<code> </code>Mask2FormerForUniversalSegmentationOutput` will contain the auxiliary losses computed using\nthe logits from each decoder&#x2019;s stage.",name:"use_auxiliary_loss"},{anchor:"transformers.Mask2FormerConfig.feature_strides",description:`<strong>feature_strides</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[4, 8, 16, 32]</code>) &#x2014;
Feature strides corresponding to features generated from backbone network.`,name:"feature_strides"},{anchor:"transformers.Mask2FormerConfig.output_auxiliary_logits",description:`<strong>output_auxiliary_logits</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Should the model output its <code>auxiliary_logits</code> or not.`,name:"output_auxiliary_logits"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/mask2former/configuration_mask2former.py#L34"}}),de=new $n({props:{anchor:"transformers.Mask2FormerConfig.example",$$slots:{default:[Ji]},$$scope:{ctx:C}}}),Ve=new E({props:{name:"from_backbone_config",anchor:"transformers.Mask2FormerConfig.from_backbone_config",parameters:[{name:"backbone_config",val:": PretrainedConfig"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Mask2FormerConfig.from_backbone_config.backbone_config",description:`<strong>backbone_config</strong> (<a href="/docs/transformers/v4.26.1/en/main_classes/configuration#transformers.PretrainedConfig">PretrainedConfig</a>) &#x2014;
The backbone configuration.`,name:"backbone_config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/mask2former/configuration_mask2former.py#L210",returnDescription:`
<p>An instance of a configuration object</p>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerConfig"
>Mask2FormerConfig</a></p>
`}}),Ge=new E({props:{name:"to_dict",anchor:"transformers.Mask2FormerConfig.to_dict",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/mask2former/configuration_mask2former.py#L226",returnDescription:`
<p>Dictionary of all the attributes that make up this configuration instance,</p>
`,returnType:`
<p><code>Dict[str, any]</code></p>
`}}),Xe=new Ie({}),Je=new E({props:{name:"class transformers.Mask2FormerModel",anchor:"transformers.Mask2FormerModel",parameters:[{name:"config",val:": Mask2FormerConfig"}],parametersDescription:[{anchor:"transformers.Mask2FormerModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerConfig">Mask2FormerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/mask2former/modeling_mask2former.py#L2210"}}),eo=new E({props:{name:"forward",anchor:"transformers.Mask2FormerModel.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"pixel_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Mask2FormerModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoFeatureExtractor">AutoFeatureExtractor</a>. See
<code>AutoFeatureExtractor.__call__()</code> for details.`,name:"pixel_values"},{anchor:"transformers.Mask2FormerModel.forward.pixel_mask",description:`<strong>pixel_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, height, width)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding pixel values. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for pixels that are real (i.e. <strong>not masked</strong>),</li>
<li>0 for pixels that are padding (i.e. <strong>masked</strong>).</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"pixel_mask"},{anchor:"transformers.Mask2FormerModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Mask2FormerModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of Detr&#x2019;s decoder attention layers.`,name:"output_attentions"},{anchor:"transformers.Mask2FormerModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <code>~Mask2FormerModelOutput</code> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/mask2former/modeling_mask2former.py#L2220",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.models.mask2former.modeling_mask2former.Mask2FormerModelOutput"
>transformers.models.mask2former.modeling_mask2former.Mask2FormerModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerConfig"
>Mask2FormerConfig</a>) and inputs.</p>
<ul>
<li><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>, <em>optional</em>) \u2014 Last hidden states (final feature map) of the last stage of the encoder model (backbone). Returned when
<code>output_hidden_states=True</code> is passed.</li>
<li><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also called feature maps) of the encoder
model at the output of each stage. Returned when <code>output_hidden_states=True</code> is passed.</li>
<li><strong>pixel_decoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>, <em>optional</em>) \u2014 Last hidden states (final feature map) of the last stage of the pixel decoder model.</li>
<li><strong>pixel_decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, , <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also called feature maps) of the pixel
decoder model at the output of each stage. Returned when <code>output_hidden_states=True</code> is passed.</li>
<li><strong>transformer_decoder_last_hidden_state</strong> (<code>tuple(torch.FloatTensor)</code>) \u2014 Final output of the transformer decoder <code>(batch_size, sequence_length, hidden_size)</code>.</li>
<li><strong>transformer_decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states (also called feature maps) of the
transformer decoder at the output of each stage. Returned when <code>output_hidden_states=True</code> is passed.</li>
<li><strong>transformer_decoder_intermediate_states</strong> (<code>tuple(torch.FloatTensor)</code> of shape <code>(num_queries, 1, hidden_size)</code>) \u2014 Intermediate decoder activations, i.e. the output of each decoder layer, each of them gone through a
layernorm.</li>
<li><strong>masks_queries_logits</strong> (<code>tuple(torch.FloatTensor)</code> of shape <code>(batch_size, num_queries, height, width)</code>)
Mask Predictions from each layer in the transformer decoder.</li>
<li><strong>attentions</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>. Self attentions weights from transformer decoder.</li>
</ul>
<p><code>Mask2FormerModelOutput</code></p>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.models.mask2former.modeling_mask2former.Mask2FormerModelOutput"
>transformers.models.mask2former.modeling_mask2former.Mask2FormerModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),fe=new Bi({props:{$$slots:{default:[Zi]},$$scope:{ctx:C}}}),he=new $n({props:{anchor:"transformers.Mask2FormerModel.forward.example",$$slots:{default:[Yi]},$$scope:{ctx:C}}}),oo=new Ie({}),to=new E({props:{name:"class transformers.Mask2FormerForUniversalSegmentation",anchor:"transformers.Mask2FormerForUniversalSegmentation",parameters:[{name:"config",val:": Mask2FormerConfig"}],parametersDescription:[{anchor:"transformers.Mask2FormerForUniversalSegmentation.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerConfig">Mask2FormerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/mask2former/modeling_mask2former.py#L2313"}}),ao=new E({props:{name:"forward",anchor:"transformers.Mask2FormerForUniversalSegmentation.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"mask_labels",val:": typing.Optional[typing.List[torch.Tensor]] = None"},{name:"class_labels",val:": typing.Optional[typing.List[torch.Tensor]] = None"},{name:"pixel_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"output_auxiliary_logits",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Mask2FormerForUniversalSegmentation.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoFeatureExtractor">AutoFeatureExtractor</a>. See
<code>AutoFeatureExtractor.__call__()</code> for details.`,name:"pixel_values"},{anchor:"transformers.Mask2FormerForUniversalSegmentation.forward.pixel_mask",description:`<strong>pixel_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, height, width)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding pixel values. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for pixels that are real (i.e. <strong>not masked</strong>),</li>
<li>0 for pixels that are padding (i.e. <strong>masked</strong>).</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"pixel_mask"},{anchor:"transformers.Mask2FormerForUniversalSegmentation.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Mask2FormerForUniversalSegmentation.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of Detr&#x2019;s decoder attention layers.`,name:"output_attentions"},{anchor:"transformers.Mask2FormerForUniversalSegmentation.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <code>~Mask2FormerModelOutput</code> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.Mask2FormerForUniversalSegmentation.forward.mask_labels",description:`<strong>mask_labels</strong> (<code>List[torch.Tensor]</code>, <em>optional</em>) &#x2014;
List of mask labels of shape <code>(num_labels, height, width)</code> to be fed to a model`,name:"mask_labels"},{anchor:"transformers.Mask2FormerForUniversalSegmentation.forward.class_labels",description:`<strong>class_labels</strong> (<code>List[torch.LongTensor]</code>, <em>optional</em>) &#x2014;
list of target class labels of shape <code>(num_labels, height, width)</code> to be fed to a model. They identify the
labels of <code>mask_labels</code>, e.g. the label of <code>mask_labels[i][j]</code> if <code>class_labels[i][j]</code>.`,name:"class_labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/mask2former/modeling_mask2former.py#L2366",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.models.mask2former.modeling_mask2former.Mask2FormerForUniversalSegmentationOutput"
>transformers.models.mask2former.modeling_mask2former.Mask2FormerForUniversalSegmentationOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerConfig"
>Mask2FormerConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.Tensor</code>, <em>optional</em>) \u2014 The computed loss, returned when labels are present.</li>
<li><strong>class_queries_logits</strong> (<code>torch.FloatTensor</code>) \u2014 A tensor of shape <code>(batch_size, num_queries, num_labels + 1)</code> representing the proposed classes for each
query. Note the <code>+ 1</code> is needed because we incorporate the null class.</li>
<li><strong>masks_queries_logits</strong> (<code>torch.FloatTensor</code>) \u2014 A tensor of shape <code>(batch_size, num_queries, height, width)</code> representing the proposed masks for each
query.</li>
<li><strong>auxiliary_logits</strong> (<code>List[Dict(str, torch.FloatTensor)]</code>, <em>optional</em>) \u2014 List of class and mask predictions from each layer of the transformer decoder.</li>
<li><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Last hidden states (final feature map) of the last stage of the encoder model (backbone).</li>
<li><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also called feature maps) of the encoder
model at the output of each stage.</li>
<li><strong>pixel_decoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Last hidden states (final feature map) of the last stage of the pixel decoder model.</li>
<li><strong>pixel_decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also called feature maps) of the pixel
decoder model at the output of each stage.</li>
<li><strong>transformer_decoder_last_hidden_state</strong> (<code>tuple(torch.FloatTensor)</code>) \u2014 Final output of the transformer decoder <code>(batch_size, sequence_length, hidden_size)</code>.</li>
<li><strong>transformer_decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states (also called feature maps) of the
transformer decoder at the output of each stage.</li>
<li><strong>attentions</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>. Self and Cross Attentions weights from transformer decoder.</li>
</ul>
<p><code>Mask2FormerUniversalSegmentationOutput</code></p>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.models.mask2former.modeling_mask2former.Mask2FormerForUniversalSegmentationOutput"
>transformers.models.mask2former.modeling_mask2former.Mask2FormerForUniversalSegmentationOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ue=new Bi({props:{$$slots:{default:[el]},$$scope:{ctx:C}}}),_e=new $n({props:{anchor:"transformers.Mask2FormerForUniversalSegmentation.forward.example",$$slots:{default:[ol]},$$scope:{ctx:C}}}),no=new Ie({}),io=new E({props:{name:"class transformers.Mask2FormerImageProcessor",anchor:"transformers.Mask2FormerImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"size_divisor",val:": int = 32"},{name:"resample",val:": Resampling = <Resampling.BILINEAR: 2>"},{name:"do_rescale",val:": bool = True"},{name:"rescale_factor",val:": float = 0.00392156862745098"},{name:"do_normalize",val:": bool = True"},{name:"image_mean",val:": typing.Union[float, typing.List[float]] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float]] = None"},{name:"ignore_index",val:": typing.Optional[int] = None"},{name:"reduce_labels",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Mask2FormerImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to resize the input to a certain <code>size</code>.`,name:"do_resize"},{anchor:"transformers.Mask2FormerImageProcessor.size",description:`<strong>size</strong> (<code>int</code>, <em>optional</em>, defaults to 800) &#x2014;
Resize the input to the given size. Only has an effect if <code>do_resize</code> is set to <code>True</code>. If size is a
sequence like <code>(width, height)</code>, output size will be matched to this. If size is an int, smaller edge of
the image will be matched to this number. i.e, if <code>height &gt; width</code>, then image will be rescaled to <code>(size * height / width, size)</code>.`,name:"size"},{anchor:"transformers.Mask2FormerImageProcessor.max_size",description:`<strong>max_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1333) &#x2014;
The largest size an image dimension can have (otherwise it&#x2019;s capped). Only has an effect if <code>do_resize</code> is
set to <code>True</code>.`,name:"max_size"},{anchor:"transformers.Mask2FormerImageProcessor.resample",description:`<strong>resample</strong> (<code>int</code>, <em>optional</em>, defaults to <code>PIL.Image.Resampling.BILINEAR</code>) &#x2014;
An optional resampling filter. This can be one of <code>PIL.Image.Resampling.NEAREST</code>,
<code>PIL.Image.Resampling.BOX</code>, <code>PIL.Image.Resampling.BILINEAR</code>, <code>PIL.Image.Resampling.HAMMING</code>,
<code>PIL.Image.Resampling.BICUBIC</code> or <code>PIL.Image.Resampling.LANCZOS</code>. Only has an effect if <code>do_resize</code> is set
to <code>True</code>.`,name:"resample"},{anchor:"transformers.Mask2FormerImageProcessor.size_divisor",description:`<strong>size_divisor</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
Some backbones need images divisible by a certain number. If not passed, it defaults to the value used in
Swin Transformer.`,name:"size_divisor"},{anchor:"transformers.Mask2FormerImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to rescale the input to a certain <code>scale</code>.`,name:"do_rescale"},{anchor:"transformers.Mask2FormerImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to 1/ 255) &#x2014;
Rescale the input by the given factor. Only has an effect if <code>do_rescale</code> is set to <code>True</code>.`,name:"rescale_factor"},{anchor:"transformers.Mask2FormerImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to normalize the input with mean and standard deviation.`,name:"do_normalize"},{anchor:"transformers.Mask2FormerImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>int</code>, <em>optional</em>, defaults to <code>[0.485, 0.456, 0.406]</code>) &#x2014;
The sequence of means for each channel, to be used when normalizing images. Defaults to the ImageNet mean.`,name:"image_mean"},{anchor:"transformers.Mask2FormerImageProcessor.image_std",description:`<strong>image_std</strong> (<code>int</code>, <em>optional</em>, defaults to <code>[0.229, 0.224, 0.225]</code>) &#x2014;
The sequence of standard deviations for each channel, to be used when normalizing images. Defaults to the
ImageNet std.`,name:"image_std"},{anchor:"transformers.Mask2FormerImageProcessor.ignore_index",description:`<strong>ignore_index</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Label to be assigned to background pixels in segmentation maps. If provided, segmentation map pixels
denoted with 0 (background) will be replaced with <code>ignore_index</code>.`,name:"ignore_index"},{anchor:"transformers.Mask2FormerImageProcessor.reduce_labels",description:`<strong>reduce_labels</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to decrement all label values of segmentation maps by 1. Usually used for datasets where 0
is used for background, and background itself is not included in all classes of a dataset (e.g. ADE20k).
The background label will be replaced by <code>ignore_index</code>.`,name:"reduce_labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/mask2former/image_processing_mask2former.py#L331"}}),mo=new E({props:{name:"preprocess",anchor:"transformers.Mask2FormerImageProcessor.preprocess",parameters:[{name:"images",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]]"},{name:"segmentation_maps",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')], NoneType] = None"},{name:"instance_id_to_semantic_id",val:": typing.Union[typing.Dict[int, int], NoneType] = None"},{name:"do_resize",val:": typing.Optional[bool] = None"},{name:"size",val:": typing.Union[typing.Dict[str, int], NoneType] = None"},{name:"size_divisor",val:": typing.Optional[int] = None"},{name:"resample",val:": Resampling = None"},{name:"do_rescale",val:": typing.Optional[bool] = None"},{name:"rescale_factor",val:": typing.Optional[float] = None"},{name:"do_normalize",val:": typing.Optional[bool] = None"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"ignore_index",val:": typing.Optional[int] = None"},{name:"reduce_labels",val:": typing.Optional[bool] = None"},{name:"return_tensors",val:": typing.Union[transformers.utils.generic.TensorType, str, NoneType] = None"},{name:"data_format",val:": typing.Union[str, transformers.image_utils.ChannelDimension] = <ChannelDimension.FIRST: 'channels_first'>"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/mask2former/image_processing_mask2former.py#L629"}}),co=new E({props:{name:"encode_inputs",anchor:"transformers.Mask2FormerImageProcessor.encode_inputs",parameters:[{name:"pixel_values_list",val:": typing.List[typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]]]"},{name:"segmentation_maps",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]] = None"},{name:"instance_id_to_semantic_id",val:": typing.Union[typing.List[typing.Dict[int, int]], typing.Dict[int, int], NoneType] = None"},{name:"ignore_index",val:": typing.Optional[int] = None"},{name:"reduce_labels",val:": bool = False"},{name:"return_tensors",val:": typing.Union[transformers.utils.generic.TensorType, str, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Mask2FormerImageProcessor.encode_inputs.pixel_values_list",description:`<strong>pixel_values_list</strong> (<code>List[ImageInput]</code>) &#x2014;
List of images (pixel values) to be padded. Each image should be a tensor of shape <code>(channels, height, width)</code>.`,name:"pixel_values_list"},{anchor:"transformers.Mask2FormerImageProcessor.encode_inputs.segmentation_maps",description:`<strong>segmentation_maps</strong> (<code>ImageInput</code>, <em>optional</em>) &#x2014;
The corresponding semantic segmentation maps with the pixel-wise annotations.</p>
<p>(<code>bool</code>, <em>optional</em>, defaults to <code>True</code>):
Whether or not to pad images up to the largest image in a batch and create a pixel mask.</p>
<p>If left to the default, will return a pixel mask that is:</p>
<ul>
<li>1 for pixels that are real (i.e. <strong>not masked</strong>),</li>
<li>0 for pixels that are padding (i.e. <strong>masked</strong>).</li>
</ul>`,name:"segmentation_maps"},{anchor:"transformers.Mask2FormerImageProcessor.encode_inputs.instance_id_to_semantic_id",description:`<strong>instance_id_to_semantic_id</strong> (<code>List[Dict[int, int]]</code> or <code>Dict[int, int]</code>, <em>optional</em>) &#x2014;
A mapping between object instance ids and class ids. If passed, <code>segmentation_maps</code> is treated as an
instance segmentation map where each pixel represents an instance id. Can be provided as a single
dictionary with a global/dataset-level mapping or as a list of dictionaries (one per image), to map
instance ids in each image separately.`,name:"instance_id_to_semantic_id"},{anchor:"transformers.Mask2FormerImageProcessor.encode_inputs.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <a href="/docs/transformers/v4.26.1/en/internal/file_utils#transformers.TensorType">TensorType</a>, <em>optional</em>) &#x2014;
If set, will return tensors instead of NumPy arrays. If set to <code>&apos;pt&apos;</code>, return PyTorch <code>torch.Tensor</code>
objects.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/mask2former/image_processing_mask2former.py#L784",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/feature_extractor#transformers.BatchFeature"
>BatchFeature</a> with the following fields:</p>
<ul>
<li><strong>pixel_values</strong> \u2014 Pixel values to be fed to a model.</li>
<li><strong>pixel_mask</strong> \u2014 Pixel mask to be fed to a model (when <code>=True</code> or if <code>pixel_mask</code> is in
<code>self.model_input_names</code>).</li>
<li><strong>mask_labels</strong> \u2014 Optional list of mask labels of shape <code>(labels, height, width)</code> to be fed to a model
(when <code>annotations</code> are provided).</li>
<li><strong>class_labels</strong> \u2014 Optional list of class labels of shape <code>(labels)</code> to be fed to a model (when
<code>annotations</code> are provided). They identify the labels of <code>mask_labels</code>, e.g. the label of
<code>mask_labels[i][j]</code> if <code>class_labels[i][j]</code>.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/feature_extractor#transformers.BatchFeature"
>BatchFeature</a></p>
`}}),fo=new E({props:{name:"post_process_semantic_segmentation",anchor:"transformers.Mask2FormerImageProcessor.post_process_semantic_segmentation",parameters:[{name:"outputs",val:""},{name:"target_sizes",val:": typing.Union[typing.List[typing.Tuple[int, int]], NoneType] = None"}],parametersDescription:[{anchor:"transformers.Mask2FormerImageProcessor.post_process_semantic_segmentation.outputs",description:`<strong>outputs</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerForUniversalSegmentation">Mask2FormerForUniversalSegmentation</a>) &#x2014;
Raw outputs of the model.`,name:"outputs"},{anchor:"transformers.Mask2FormerImageProcessor.post_process_semantic_segmentation.target_sizes",description:`<strong>target_sizes</strong> (<code>List[Tuple[int, int]]</code>, <em>optional</em>) &#x2014;
List of length (batch_size), where each list item (<code>Tuple[int, int]]</code>) corresponds to the requested
final size (height, width) of each prediction. If left to None, predictions will not be resized.`,name:"target_sizes"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/mask2former/image_processing_mask2former.py#L883",returnDescription:`
<p>A list of length <code>batch_size</code>, where each item is a semantic segmentation map of shape (height, width)
corresponding to the target_sizes entry (if <code>target_sizes</code> is specified). Each entry of each
<code>torch.Tensor</code> correspond to a semantic class id.</p>
`,returnType:`
<p><code>List[torch.Tensor]</code></p>
`}}),go=new E({props:{name:"post_process_instance_segmentation",anchor:"transformers.Mask2FormerImageProcessor.post_process_instance_segmentation",parameters:[{name:"outputs",val:""},{name:"threshold",val:": float = 0.5"},{name:"mask_threshold",val:": float = 0.5"},{name:"overlap_mask_area_threshold",val:": float = 0.8"},{name:"target_sizes",val:": typing.Union[typing.List[typing.Tuple[int, int]], NoneType] = None"},{name:"return_coco_annotation",val:": typing.Optional[bool] = False"},{name:"return_binary_maps",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.Mask2FormerImageProcessor.post_process_instance_segmentation.outputs",description:`<strong>outputs</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerForUniversalSegmentation">Mask2FormerForUniversalSegmentation</a>) &#x2014;
Raw outputs of the model.`,name:"outputs"},{anchor:"transformers.Mask2FormerImageProcessor.post_process_instance_segmentation.threshold",description:`<strong>threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
The probability score threshold to keep predicted instance masks.`,name:"threshold"},{anchor:"transformers.Mask2FormerImageProcessor.post_process_instance_segmentation.mask_threshold",description:`<strong>mask_threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
Threshold to use when turning the predicted masks into binary values.`,name:"mask_threshold"},{anchor:"transformers.Mask2FormerImageProcessor.post_process_instance_segmentation.overlap_mask_area_threshold",description:`<strong>overlap_mask_area_threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.8) &#x2014;
The overlap mask area threshold to merge or discard small disconnected parts within each binary
instance mask.`,name:"overlap_mask_area_threshold"},{anchor:"transformers.Mask2FormerImageProcessor.post_process_instance_segmentation.target_sizes",description:`<strong>target_sizes</strong> (<code>List[Tuple]</code>, <em>optional</em>) &#x2014;
List of length (batch_size), where each list item (<code>Tuple[int, int]]</code>) corresponds to the requested
final size (height, width) of each prediction. If left to None, predictions will not be resized.`,name:"target_sizes"},{anchor:"transformers.Mask2FormerImageProcessor.post_process_instance_segmentation.return_coco_annotation",description:`<strong>return_coco_annotation</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
If set to <code>True</code>, segmentation maps are returned in COCO run-length encoding (RLE) format.`,name:"return_coco_annotation"},{anchor:"transformers.Mask2FormerImageProcessor.post_process_instance_segmentation.return_binary_maps",description:`<strong>return_binary_maps</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
If set to <code>True</code>, segmentation maps are returned as a concatenated tensor of binary segmentation maps
(one per detected instance).`,name:"return_binary_maps"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/mask2former/image_processing_mask2former.py#L938",returnDescription:`
<p>A list of dictionaries, one per image, each dictionary containing two keys:</p>
<ul>
<li><strong>segmentation</strong> \u2014 A tensor of shape <code>(height, width)</code> where each pixel represents a <code>segment_id</code> or
<code>List[List]</code> run-length encoding (RLE) of the segmentation map if return_coco_annotation is set to
<code>True</code>. Set to <code>None</code> if no mask if found above <code>threshold</code>.</li>
<li><strong>segments_info</strong> \u2014 A dictionary that contains additional information on each segment.<ul>
<li><strong>id</strong> \u2014 An integer representing the <code>segment_id</code>.</li>
<li><strong>label_id</strong> \u2014 An integer representing the label / semantic class id corresponding to <code>segment_id</code>.</li>
<li><strong>score</strong> \u2014 Prediction score of segment with <code>segment_id</code>.</li>
</ul></li>
</ul>
`,returnType:`
<p><code>List[Dict]</code></p>
`}}),_o=new E({props:{name:"post_process_panoptic_segmentation",anchor:"transformers.Mask2FormerImageProcessor.post_process_panoptic_segmentation",parameters:[{name:"outputs",val:""},{name:"threshold",val:": float = 0.5"},{name:"mask_threshold",val:": float = 0.5"},{name:"overlap_mask_area_threshold",val:": float = 0.8"},{name:"label_ids_to_fuse",val:": typing.Optional[typing.Set[int]] = None"},{name:"target_sizes",val:": typing.Union[typing.List[typing.Tuple[int, int]], NoneType] = None"}],parametersDescription:[{anchor:"transformers.Mask2FormerImageProcessor.post_process_panoptic_segmentation.outputs",description:`<strong>outputs</strong> (<code>Mask2FormerForUniversalSegmentationOutput</code>) &#x2014;
The outputs from <a href="/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerForUniversalSegmentation">Mask2FormerForUniversalSegmentation</a>.`,name:"outputs"},{anchor:"transformers.Mask2FormerImageProcessor.post_process_panoptic_segmentation.threshold",description:`<strong>threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
The probability score threshold to keep predicted instance masks.`,name:"threshold"},{anchor:"transformers.Mask2FormerImageProcessor.post_process_panoptic_segmentation.mask_threshold",description:`<strong>mask_threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
Threshold to use when turning the predicted masks into binary values.`,name:"mask_threshold"},{anchor:"transformers.Mask2FormerImageProcessor.post_process_panoptic_segmentation.overlap_mask_area_threshold",description:`<strong>overlap_mask_area_threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.8) &#x2014;
The overlap mask area threshold to merge or discard small disconnected parts within each binary
instance mask.`,name:"overlap_mask_area_threshold"},{anchor:"transformers.Mask2FormerImageProcessor.post_process_panoptic_segmentation.label_ids_to_fuse",description:`<strong>label_ids_to_fuse</strong> (<code>Set[int]</code>, <em>optional</em>) &#x2014;
The labels in this state will have all their instances be fused together. For instance we could say
there can only be one sky in an image, but several persons, so the label ID for sky would be in that
set, but not the one for person.`,name:"label_ids_to_fuse"},{anchor:"transformers.Mask2FormerImageProcessor.post_process_panoptic_segmentation.target_sizes",description:`<strong>target_sizes</strong> (<code>List[Tuple]</code>, <em>optional</em>) &#x2014;
List of length (batch_size), where each list item (<code>Tuple[int, int]]</code>) corresponds to the requested
final size (height, width) of each prediction in batch. If left to None, predictions will not be
resized.`,name:"target_sizes"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/mask2former/image_processing_mask2former.py#L1056",returnDescription:`
<p>A list of dictionaries, one per image, each dictionary containing two keys:</p>
<ul>
<li><strong>segmentation</strong> \u2014 a tensor of shape <code>(height, width)</code> where each pixel represents a <code>segment_id</code>, set
to <code>None</code> if no mask if found above <code>threshold</code>. If <code>target_sizes</code> is specified, segmentation is resized
to the corresponding <code>target_sizes</code> entry.</li>
<li><strong>segments_info</strong> \u2014 A dictionary that contains additional information on each segment.<ul>
<li><strong>id</strong> \u2014 an integer representing the <code>segment_id</code>.</li>
<li><strong>label_id</strong> \u2014 An integer representing the label / semantic class id corresponding to <code>segment_id</code>.</li>
<li><strong>was_fused</strong> \u2014 a boolean, <code>True</code> if <code>label_id</code> was in <code>label_ids_to_fuse</code>, <code>False</code> otherwise.
Multiple instances of the same class / label were fused and assigned a single <code>segment_id</code>.</li>
<li><strong>score</strong> \u2014 Prediction score of segment with <code>segment_id</code>.</li>
</ul></li>
</ul>
`,returnType:`
<p><code>List[Dict]</code></p>
`}}),{c(){h=r("meta"),T=d(),_=r("h1"),g=r("a"),M=r("span"),k(c.$$.fragment),u=d(),L=r("span"),Pr=n("Mask2Former"),Ot=d(),V=r("h2"),se=r("a"),st=r("span"),k(Pe.$$.fragment),Er=d(),at=r("span"),zr=n("Overview"),jt=d(),W=r("p"),Cr=n("The Mask2Former model was proposed in "),Ee=r("a"),Ar=n("Masked-attention Mask Transformer for Universal Image Segmentation"),Or=n(" by Bowen Cheng, Ishan Misra, Alexander G. Schwing, Alexander Kirillov, Rohit Girdhar. Mask2Former is a unified framework for panoptic, instance and semantic segmentation and features significant performance and efficiency improvements over "),Fo=r("a"),jr=n("MaskFormer"),Sr=n("."),St=d(),wo=r("p"),Lr=n("The abstract from the paper is the following:"),Lt=d(),yo=r("p"),nt=r("em"),Nr=n(`Image segmentation groups pixels with different semantics, e.g., category or instance membership. Each choice
of semantics defines a task. While only the semantics of each task differ, current research focuses on designing specialized architectures for each task. We present Masked-attention Mask Transformer (Mask2Former), a new architecture capable of addressing any image segmentation task (panoptic, instance or semantic). Its key components include masked attention, which extracts localized features by constraining cross-attention within predicted mask regions. In addition to reducing the research effort by at least three times, it outperforms the best specialized architectures by a significant margin on four popular datasets. Most notably, Mask2Former sets a new state-of-the-art for panoptic segmentation (57.8 PQ on COCO), instance segmentation (50.1 AP on COCO) and semantic segmentation (57.7 mIoU on ADE20K).`),Nt=d(),Mo=r("p"),qr=n("Tips:"),qt=d(),ae=r("ul"),N=r("li"),Ur=n("Mask2Former uses the same preprocessing and postprocessing steps as "),To=r("a"),Dr=n("MaskFormer"),Rr=n(". Use "),$o=r("a"),Hr=n("Mask2FormerImageProcessor"),Wr=n(" or "),xo=r("a"),Br=n("AutoImageProcessor"),Vr=n(" to prepare images and optional targets for the model."),Kr=d(),P=r("li"),Gr=n("To get the final segmentation, depending on the task, you can call "),Io=r("a"),Qr=n("post_process_semantic_segmentation()"),Xr=n(" or "),Po=r("a"),Jr=n("post_process_instance_segmentation()"),Zr=n(" or "),Eo=r("a"),Yr=n("post_process_panoptic_segmentation()"),es=n(". All three tasks can be solved using "),zo=r("a"),os=n("Mask2FormerForUniversalSegmentation"),ts=n(" output, panoptic segmentation accepts an optional "),it=r("code"),rs=n("label_ids_to_fuse"),ss=n(" argument to fuse instances of the target object/s (e.g. sky) together."),Ut=d(),A=r("p"),as=n("This model was contributed by "),ze=r("a"),ns=n("Shivalika Singh"),is=n(" and "),Ce=r("a"),ls=n("Alara Dirik"),ds=n(". The original code can be found "),Ae=r("a"),ms=n("here"),cs=n("."),Dt=d(),K=r("h2"),ne=r("a"),lt=r("span"),k(Oe.$$.fragment),ps=d(),dt=r("span"),fs=n("Resources"),Rt=d(),Co=r("p"),hs=n("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with Mask2Former."),Ht=d(),Ao=r("ul"),je=r("li"),gs=n("Demo notebooks regarding inference + fine-tuning Mask2Former on custom data can be found "),Se=r("a"),us=n("here"),_s=n("."),Wt=d(),Oo=r("p"),ks=n(`If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we will review it.
The resource should ideally demonstrate something new instead of duplicating an existing resource.`),Bt=d(),G=r("h2"),ie=r("a"),mt=r("span"),k(Le.$$.fragment),vs=d(),ct=r("span"),bs=n("MaskFormer specific outputs"),Vt=d(),Q=r("div"),k(Ne.$$.fragment),Fs=d(),qe=r("p"),ws=n("Class for outputs of "),jo=r("a"),ys=n("Mask2FormerModel"),Ms=n(". This class returns all the needed hidden states to compute the logits."),Kt=d(),q=r("div"),k(Ue.$$.fragment),Ts=d(),De=r("p"),$s=n("Class for outputs of "),pt=r("code"),xs=n("Mask2FormerForUniversalSegmentationOutput"),Is=n("."),Ps=d(),U=r("p"),Es=n("This output can be directly passed to "),So=r("a"),zs=n("post_process_semantic_segmentation()"),Cs=n(` or
`),Lo=r("a"),As=n("post_process_instance_segmentation()"),Os=n(` or
`),No=r("a"),js=n("post_process_panoptic_segmentation()"),Ss=n(" to compute final segmentation maps. Please, see\n[`~Mask2FormerImageProcessor] for details regarding usage."),Gt=d(),X=r("h2"),le=r("a"),ft=r("span"),k(Re.$$.fragment),Ls=d(),ht=r("span"),Ns=n("Mask2FormerConfig"),Qt=d(),x=r("div"),k(He.$$.fragment),qs=d(),J=r("p"),Us=n("This is the configuration class to store the configuration of a "),qo=r("a"),Ds=n("Mask2FormerModel"),Rs=n(`. It is used to instantiate a
Mask2Former model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the Mask2Former
`),We=r("a"),Hs=n("facebook/mask2former-swin-small-coco-instance"),Ws=n(`
architecture.`),Bs=d(),Z=r("p"),Vs=n("Configuration objects inherit from "),Uo=r("a"),Ks=n("PretrainedConfig"),Gs=n(` and can be used to control the model outputs. Read the
documentation from `),Do=r("a"),Qs=n("PretrainedConfig"),Xs=n(" for more information."),Js=d(),Be=r("p"),Zs=n("Currently, Mask2Former only supports the "),Ro=r("a"),Ys=n("Swin Transformer"),ea=n(" as backbone."),oa=d(),k(de.$$.fragment),ta=d(),me=r("div"),k(Ve.$$.fragment),ra=d(),Ke=r("p"),sa=n("Instantiate a "),Ho=r("a"),aa=n("Mask2FormerConfig"),na=n(" (or a derived class) from a pre-trained backbone model configuration."),ia=d(),ce=r("div"),k(Ge.$$.fragment),la=d(),Qe=r("p"),da=n("Serializes this instance to a Python dictionary. Override the default "),Wo=r("a"),ma=n("to_dict()"),ca=n("."),Xt=d(),Y=r("h2"),pe=r("a"),gt=r("span"),k(Xe.$$.fragment),pa=d(),ut=r("span"),fa=n("Mask2FormerModel"),Jt=d(),D=r("div"),k(Je.$$.fragment),ha=d(),Ze=r("p"),ga=n(`The bare Mask2Former Model outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Ye=r("a"),ua=n("torch.nn.Module"),_a=n(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ka=d(),O=r("div"),k(eo.$$.fragment),va=d(),ee=r("p"),ba=n("The "),Bo=r("a"),Fa=n("Mask2FormerModel"),wa=n(" forward method, overrides the "),_t=r("code"),ya=n("__call__"),Ma=n(" special method."),Ta=d(),k(fe.$$.fragment),$a=d(),k(he.$$.fragment),Zt=d(),oe=r("h2"),ge=r("a"),kt=r("span"),k(oo.$$.fragment),xa=d(),vt=r("span"),Ia=n("Mask2FormerForUniversalSegmentation"),Yt=d(),R=r("div"),k(to.$$.fragment),Pa=d(),ro=r("p"),Ea=n(`The Mask2Former Model with heads on top for instance/semantic/panoptic segmentation.
This model is a PyTorch `),so=r("a"),za=n("torch.nn.Module"),Ca=n(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Aa=d(),j=r("div"),k(ao.$$.fragment),Oa=d(),te=r("p"),ja=n("The "),Vo=r("a"),Sa=n("Mask2FormerForUniversalSegmentation"),La=n(" forward method, overrides the "),bt=r("code"),Na=n("__call__"),qa=n(" special method."),Ua=d(),k(ue.$$.fragment),Da=d(),k(_e.$$.fragment),er=d(),re=r("h2"),ke=r("a"),Ft=r("span"),k(no.$$.fragment),Ra=d(),wt=r("span"),Ha=n("Mask2FormerImageProcessor"),or=d(),$=r("div"),k(io.$$.fragment),Wa=d(),yt=r("p"),Ba=n(`Constructs a Mask2Former image processor. The image processor can be used to prepare image(s) and optional targets
for the model.`),Va=d(),lo=r("p"),Ka=n("This image processor inherits from "),Mt=r("code"),Ga=n("BaseImageProcessor"),Qa=n(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Xa=d(),Ko=r("div"),k(mo.$$.fragment),Ja=d(),B=r("div"),k(co.$$.fragment),Za=d(),po=r("p"),Ya=n("Pad images up to the largest image in a batch and create a corresponding "),Tt=r("code"),en=n("pixel_mask"),on=n("."),tn=d(),H=r("p"),rn=n(`Mask2Former addresses semantic segmentation with a mask classification paradigm, thus input segmentation maps
will be converted to lists of binary masks and their respective labels. Let\u2019s see an example, assuming
`),$t=r("code"),sn=n("segmentation_maps = [[2,6,7,9]]"),an=n(", the output will contain "),xt=r("code"),nn=n("mask_labels = [[1,0,0,0],[0,1,0,0],[0,0,1,0],[0,0,0,1]]"),ln=n(" (four binary masks) and "),It=r("code"),dn=n("class_labels = [2,6,7,9]"),mn=n(`, the labels for
each mask.`),cn=d(),ve=r("div"),k(fo.$$.fragment),pn=d(),ho=r("p"),fn=n("Converts the output of "),Go=r("a"),hn=n("Mask2FormerForUniversalSegmentation"),gn=n(` into semantic segmentation maps. Only supports
PyTorch.`),un=d(),be=r("div"),k(go.$$.fragment),_n=d(),uo=r("p"),kn=n("Converts the output of "),Pt=r("code"),vn=n("Mask2FormerForUniversalSegmentationOutput"),bn=n(` into instance segmentation predictions.
Only supports PyTorch.`),Fn=d(),Fe=r("div"),k(_o.$$.fragment),wn=d(),ko=r("p"),yn=n("Converts the output of "),Et=r("code"),Mn=n("Mask2FormerForUniversalSegmentationOutput"),Tn=n(` into image panoptic segmentation
predictions. Only supports PyTorch.`),this.h()},l(o){const p=Qi('[data-svelte="svelte-1phssyn"]',document.head);h=s(p,"META",{name:!0,content:!0}),p.forEach(t),T=m(o),_=s(o,"H1",{class:!0});var vo=a(_);g=s(vo,"A",{id:!0,class:!0,href:!0});var zt=a(g);M=s(zt,"SPAN",{});var Ct=a(M);v(c.$$.fragment,Ct),Ct.forEach(t),zt.forEach(t),u=m(vo),L=s(vo,"SPAN",{});var At=a(L);Pr=i(At,"Mask2Former"),At.forEach(t),vo.forEach(t),Ot=m(o),V=s(o,"H2",{class:!0});var bo=a(V);se=s(bo,"A",{id:!0,class:!0,href:!0});var Pn=a(se);st=s(Pn,"SPAN",{});var En=a(st);v(Pe.$$.fragment,En),En.forEach(t),Pn.forEach(t),Er=m(bo),at=s(bo,"SPAN",{});var zn=a(at);zr=i(zn,"Overview"),zn.forEach(t),bo.forEach(t),jt=m(o),W=s(o,"P",{});var Qo=a(W);Cr=i(Qo,"The Mask2Former model was proposed in "),Ee=s(Qo,"A",{href:!0,rel:!0});var Cn=a(Ee);Ar=i(Cn,"Masked-attention Mask Transformer for Universal Image Segmentation"),Cn.forEach(t),Or=i(Qo," by Bowen Cheng, Ishan Misra, Alexander G. Schwing, Alexander Kirillov, Rohit Girdhar. Mask2Former is a unified framework for panoptic, instance and semantic segmentation and features significant performance and efficiency improvements over "),Fo=s(Qo,"A",{href:!0});var An=a(Fo);jr=i(An,"MaskFormer"),An.forEach(t),Sr=i(Qo,"."),Qo.forEach(t),St=m(o),wo=s(o,"P",{});var On=a(wo);Lr=i(On,"The abstract from the paper is the following:"),On.forEach(t),Lt=m(o),yo=s(o,"P",{});var jn=a(yo);nt=s(jn,"EM",{});var Sn=a(nt);Nr=i(Sn,`Image segmentation groups pixels with different semantics, e.g., category or instance membership. Each choice
of semantics defines a task. While only the semantics of each task differ, current research focuses on designing specialized architectures for each task. We present Masked-attention Mask Transformer (Mask2Former), a new architecture capable of addressing any image segmentation task (panoptic, instance or semantic). Its key components include masked attention, which extracts localized features by constraining cross-attention within predicted mask regions. In addition to reducing the research effort by at least three times, it outperforms the best specialized architectures by a significant margin on four popular datasets. Most notably, Mask2Former sets a new state-of-the-art for panoptic segmentation (57.8 PQ on COCO), instance segmentation (50.1 AP on COCO) and semantic segmentation (57.7 mIoU on ADE20K).`),Sn.forEach(t),jn.forEach(t),Nt=m(o),Mo=s(o,"P",{});var Ln=a(Mo);qr=i(Ln,"Tips:"),Ln.forEach(t),qt=m(o),ae=s(o,"UL",{});var rr=a(ae);N=s(rr,"LI",{});var we=a(N);Ur=i(we,"Mask2Former uses the same preprocessing and postprocessing steps as "),To=s(we,"A",{href:!0});var Nn=a(To);Dr=i(Nn,"MaskFormer"),Nn.forEach(t),Rr=i(we,". Use "),$o=s(we,"A",{href:!0});var qn=a($o);Hr=i(qn,"Mask2FormerImageProcessor"),qn.forEach(t),Wr=i(we," or "),xo=s(we,"A",{href:!0});var Un=a(xo);Br=i(Un,"AutoImageProcessor"),Un.forEach(t),Vr=i(we," to prepare images and optional targets for the model."),we.forEach(t),Kr=m(rr),P=s(rr,"LI",{});var S=a(P);Gr=i(S,"To get the final segmentation, depending on the task, you can call "),Io=s(S,"A",{href:!0});var Dn=a(Io);Qr=i(Dn,"post_process_semantic_segmentation()"),Dn.forEach(t),Xr=i(S," or "),Po=s(S,"A",{href:!0});var Rn=a(Po);Jr=i(Rn,"post_process_instance_segmentation()"),Rn.forEach(t),Zr=i(S," or "),Eo=s(S,"A",{href:!0});var Hn=a(Eo);Yr=i(Hn,"post_process_panoptic_segmentation()"),Hn.forEach(t),es=i(S,". All three tasks can be solved using "),zo=s(S,"A",{href:!0});var Wn=a(zo);os=i(Wn,"Mask2FormerForUniversalSegmentation"),Wn.forEach(t),ts=i(S," output, panoptic segmentation accepts an optional "),it=s(S,"CODE",{});var Bn=a(it);rs=i(Bn,"label_ids_to_fuse"),Bn.forEach(t),ss=i(S," argument to fuse instances of the target object/s (e.g. sky) together."),S.forEach(t),rr.forEach(t),Ut=m(o),A=s(o,"P",{});var ye=a(A);as=i(ye,"This model was contributed by "),ze=s(ye,"A",{href:!0,rel:!0});var Vn=a(ze);ns=i(Vn,"Shivalika Singh"),Vn.forEach(t),is=i(ye," and "),Ce=s(ye,"A",{href:!0,rel:!0});var Kn=a(Ce);ls=i(Kn,"Alara Dirik"),Kn.forEach(t),ds=i(ye,". The original code can be found "),Ae=s(ye,"A",{href:!0,rel:!0});var Gn=a(Ae);ms=i(Gn,"here"),Gn.forEach(t),cs=i(ye,"."),ye.forEach(t),Dt=m(o),K=s(o,"H2",{class:!0});var sr=a(K);ne=s(sr,"A",{id:!0,class:!0,href:!0});var Qn=a(ne);lt=s(Qn,"SPAN",{});var Xn=a(lt);v(Oe.$$.fragment,Xn),Xn.forEach(t),Qn.forEach(t),ps=m(sr),dt=s(sr,"SPAN",{});var Jn=a(dt);fs=i(Jn,"Resources"),Jn.forEach(t),sr.forEach(t),Rt=m(o),Co=s(o,"P",{});var Zn=a(Co);hs=i(Zn,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with Mask2Former."),Zn.forEach(t),Ht=m(o),Ao=s(o,"UL",{});var Yn=a(Ao);je=s(Yn,"LI",{});var ar=a(je);gs=i(ar,"Demo notebooks regarding inference + fine-tuning Mask2Former on custom data can be found "),Se=s(ar,"A",{href:!0,rel:!0});var ei=a(Se);us=i(ei,"here"),ei.forEach(t),_s=i(ar,"."),ar.forEach(t),Yn.forEach(t),Wt=m(o),Oo=s(o,"P",{});var oi=a(Oo);ks=i(oi,`If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we will review it.
The resource should ideally demonstrate something new instead of duplicating an existing resource.`),oi.forEach(t),Bt=m(o),G=s(o,"H2",{class:!0});var nr=a(G);ie=s(nr,"A",{id:!0,class:!0,href:!0});var ti=a(ie);mt=s(ti,"SPAN",{});var ri=a(mt);v(Le.$$.fragment,ri),ri.forEach(t),ti.forEach(t),vs=m(nr),ct=s(nr,"SPAN",{});var si=a(ct);bs=i(si,"MaskFormer specific outputs"),si.forEach(t),nr.forEach(t),Vt=m(o),Q=s(o,"DIV",{class:!0});var ir=a(Q);v(Ne.$$.fragment,ir),Fs=m(ir),qe=s(ir,"P",{});var lr=a(qe);ws=i(lr,"Class for outputs of "),jo=s(lr,"A",{href:!0});var ai=a(jo);ys=i(ai,"Mask2FormerModel"),ai.forEach(t),Ms=i(lr,". This class returns all the needed hidden states to compute the logits."),lr.forEach(t),ir.forEach(t),Kt=m(o),q=s(o,"DIV",{class:!0});var Xo=a(q);v(Ue.$$.fragment,Xo),Ts=m(Xo),De=s(Xo,"P",{});var dr=a(De);$s=i(dr,"Class for outputs of "),pt=s(dr,"CODE",{});var ni=a(pt);xs=i(ni,"Mask2FormerForUniversalSegmentationOutput"),ni.forEach(t),Is=i(dr,"."),dr.forEach(t),Ps=m(Xo),U=s(Xo,"P",{});var Me=a(U);Es=i(Me,"This output can be directly passed to "),So=s(Me,"A",{href:!0});var ii=a(So);zs=i(ii,"post_process_semantic_segmentation()"),ii.forEach(t),Cs=i(Me,` or
`),Lo=s(Me,"A",{href:!0});var li=a(Lo);As=i(li,"post_process_instance_segmentation()"),li.forEach(t),Os=i(Me,` or
`),No=s(Me,"A",{href:!0});var di=a(No);js=i(di,"post_process_panoptic_segmentation()"),di.forEach(t),Ss=i(Me," to compute final segmentation maps. Please, see\n[`~Mask2FormerImageProcessor] for details regarding usage."),Me.forEach(t),Xo.forEach(t),Gt=m(o),X=s(o,"H2",{class:!0});var mr=a(X);le=s(mr,"A",{id:!0,class:!0,href:!0});var mi=a(le);ft=s(mi,"SPAN",{});var ci=a(ft);v(Re.$$.fragment,ci),ci.forEach(t),mi.forEach(t),Ls=m(mr),ht=s(mr,"SPAN",{});var pi=a(ht);Ns=i(pi,"Mask2FormerConfig"),pi.forEach(t),mr.forEach(t),Qt=m(o),x=s(o,"DIV",{class:!0});var z=a(x);v(He.$$.fragment,z),qs=m(z),J=s(z,"P",{});var Jo=a(J);Us=i(Jo,"This is the configuration class to store the configuration of a "),qo=s(Jo,"A",{href:!0});var fi=a(qo);Ds=i(fi,"Mask2FormerModel"),fi.forEach(t),Rs=i(Jo,`. It is used to instantiate a
Mask2Former model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the Mask2Former
`),We=s(Jo,"A",{href:!0,rel:!0});var hi=a(We);Hs=i(hi,"facebook/mask2former-swin-small-coco-instance"),hi.forEach(t),Ws=i(Jo,`
architecture.`),Jo.forEach(t),Bs=m(z),Z=s(z,"P",{});var Zo=a(Z);Vs=i(Zo,"Configuration objects inherit from "),Uo=s(Zo,"A",{href:!0});var gi=a(Uo);Ks=i(gi,"PretrainedConfig"),gi.forEach(t),Gs=i(Zo,` and can be used to control the model outputs. Read the
documentation from `),Do=s(Zo,"A",{href:!0});var ui=a(Do);Qs=i(ui,"PretrainedConfig"),ui.forEach(t),Xs=i(Zo," for more information."),Zo.forEach(t),Js=m(z),Be=s(z,"P",{});var cr=a(Be);Zs=i(cr,"Currently, Mask2Former only supports the "),Ro=s(cr,"A",{href:!0});var _i=a(Ro);Ys=i(_i,"Swin Transformer"),_i.forEach(t),ea=i(cr," as backbone."),cr.forEach(t),oa=m(z),v(de.$$.fragment,z),ta=m(z),me=s(z,"DIV",{class:!0});var pr=a(me);v(Ve.$$.fragment,pr),ra=m(pr),Ke=s(pr,"P",{});var fr=a(Ke);sa=i(fr,"Instantiate a "),Ho=s(fr,"A",{href:!0});var ki=a(Ho);aa=i(ki,"Mask2FormerConfig"),ki.forEach(t),na=i(fr," (or a derived class) from a pre-trained backbone model configuration."),fr.forEach(t),pr.forEach(t),ia=m(z),ce=s(z,"DIV",{class:!0});var hr=a(ce);v(Ge.$$.fragment,hr),la=m(hr),Qe=s(hr,"P",{});var gr=a(Qe);da=i(gr,"Serializes this instance to a Python dictionary. Override the default "),Wo=s(gr,"A",{href:!0});var vi=a(Wo);ma=i(vi,"to_dict()"),vi.forEach(t),ca=i(gr,"."),gr.forEach(t),hr.forEach(t),z.forEach(t),Xt=m(o),Y=s(o,"H2",{class:!0});var ur=a(Y);pe=s(ur,"A",{id:!0,class:!0,href:!0});var bi=a(pe);gt=s(bi,"SPAN",{});var Fi=a(gt);v(Xe.$$.fragment,Fi),Fi.forEach(t),bi.forEach(t),pa=m(ur),ut=s(ur,"SPAN",{});var wi=a(ut);fa=i(wi,"Mask2FormerModel"),wi.forEach(t),ur.forEach(t),Jt=m(o),D=s(o,"DIV",{class:!0});var Yo=a(D);v(Je.$$.fragment,Yo),ha=m(Yo),Ze=s(Yo,"P",{});var _r=a(Ze);ga=i(_r,`The bare Mask2Former Model outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Ye=s(_r,"A",{href:!0,rel:!0});var yi=a(Ye);ua=i(yi,"torch.nn.Module"),yi.forEach(t),_a=i(_r,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),_r.forEach(t),ka=m(Yo),O=s(Yo,"DIV",{class:!0});var Te=a(O);v(eo.$$.fragment,Te),va=m(Te),ee=s(Te,"P",{});var et=a(ee);ba=i(et,"The "),Bo=s(et,"A",{href:!0});var Mi=a(Bo);Fa=i(Mi,"Mask2FormerModel"),Mi.forEach(t),wa=i(et," forward method, overrides the "),_t=s(et,"CODE",{});var Ti=a(_t);ya=i(Ti,"__call__"),Ti.forEach(t),Ma=i(et," special method."),et.forEach(t),Ta=m(Te),v(fe.$$.fragment,Te),$a=m(Te),v(he.$$.fragment,Te),Te.forEach(t),Yo.forEach(t),Zt=m(o),oe=s(o,"H2",{class:!0});var kr=a(oe);ge=s(kr,"A",{id:!0,class:!0,href:!0});var $i=a(ge);kt=s($i,"SPAN",{});var xi=a(kt);v(oo.$$.fragment,xi),xi.forEach(t),$i.forEach(t),xa=m(kr),vt=s(kr,"SPAN",{});var Ii=a(vt);Ia=i(Ii,"Mask2FormerForUniversalSegmentation"),Ii.forEach(t),kr.forEach(t),Yt=m(o),R=s(o,"DIV",{class:!0});var ot=a(R);v(to.$$.fragment,ot),Pa=m(ot),ro=s(ot,"P",{});var vr=a(ro);Ea=i(vr,`The Mask2Former Model with heads on top for instance/semantic/panoptic segmentation.
This model is a PyTorch `),so=s(vr,"A",{href:!0,rel:!0});var Pi=a(so);za=i(Pi,"torch.nn.Module"),Pi.forEach(t),Ca=i(vr,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),vr.forEach(t),Aa=m(ot),j=s(ot,"DIV",{class:!0});var $e=a(j);v(ao.$$.fragment,$e),Oa=m($e),te=s($e,"P",{});var tt=a(te);ja=i(tt,"The "),Vo=s(tt,"A",{href:!0});var Ei=a(Vo);Sa=i(Ei,"Mask2FormerForUniversalSegmentation"),Ei.forEach(t),La=i(tt," forward method, overrides the "),bt=s(tt,"CODE",{});var zi=a(bt);Na=i(zi,"__call__"),zi.forEach(t),qa=i(tt," special method."),tt.forEach(t),Ua=m($e),v(ue.$$.fragment,$e),Da=m($e),v(_e.$$.fragment,$e),$e.forEach(t),ot.forEach(t),er=m(o),re=s(o,"H2",{class:!0});var br=a(re);ke=s(br,"A",{id:!0,class:!0,href:!0});var Ci=a(ke);Ft=s(Ci,"SPAN",{});var Ai=a(Ft);v(no.$$.fragment,Ai),Ai.forEach(t),Ci.forEach(t),Ra=m(br),wt=s(br,"SPAN",{});var Oi=a(wt);Ha=i(Oi,"Mask2FormerImageProcessor"),Oi.forEach(t),br.forEach(t),or=m(o),$=s(o,"DIV",{class:!0});var I=a($);v(io.$$.fragment,I),Wa=m(I),yt=s(I,"P",{});var ji=a(yt);Ba=i(ji,`Constructs a Mask2Former image processor. The image processor can be used to prepare image(s) and optional targets
for the model.`),ji.forEach(t),Va=m(I),lo=s(I,"P",{});var Fr=a(lo);Ka=i(Fr,"This image processor inherits from "),Mt=s(Fr,"CODE",{});var Si=a(Mt);Ga=i(Si,"BaseImageProcessor"),Si.forEach(t),Qa=i(Fr,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Fr.forEach(t),Xa=m(I),Ko=s(I,"DIV",{class:!0});var Li=a(Ko);v(mo.$$.fragment,Li),Li.forEach(t),Ja=m(I),B=s(I,"DIV",{class:!0});var rt=a(B);v(co.$$.fragment,rt),Za=m(rt),po=s(rt,"P",{});var wr=a(po);Ya=i(wr,"Pad images up to the largest image in a batch and create a corresponding "),Tt=s(wr,"CODE",{});var Ni=a(Tt);en=i(Ni,"pixel_mask"),Ni.forEach(t),on=i(wr,"."),wr.forEach(t),tn=m(rt),H=s(rt,"P",{});var xe=a(H);rn=i(xe,`Mask2Former addresses semantic segmentation with a mask classification paradigm, thus input segmentation maps
will be converted to lists of binary masks and their respective labels. Let\u2019s see an example, assuming
`),$t=s(xe,"CODE",{});var qi=a($t);sn=i(qi,"segmentation_maps = [[2,6,7,9]]"),qi.forEach(t),an=i(xe,", the output will contain "),xt=s(xe,"CODE",{});var Ui=a(xt);nn=i(Ui,"mask_labels = [[1,0,0,0],[0,1,0,0],[0,0,1,0],[0,0,0,1]]"),Ui.forEach(t),ln=i(xe," (four binary masks) and "),It=s(xe,"CODE",{});var Di=a(It);dn=i(Di,"class_labels = [2,6,7,9]"),Di.forEach(t),mn=i(xe,`, the labels for
each mask.`),xe.forEach(t),rt.forEach(t),cn=m(I),ve=s(I,"DIV",{class:!0});var yr=a(ve);v(fo.$$.fragment,yr),pn=m(yr),ho=s(yr,"P",{});var Mr=a(ho);fn=i(Mr,"Converts the output of "),Go=s(Mr,"A",{href:!0});var Ri=a(Go);hn=i(Ri,"Mask2FormerForUniversalSegmentation"),Ri.forEach(t),gn=i(Mr,` into semantic segmentation maps. Only supports
PyTorch.`),Mr.forEach(t),yr.forEach(t),un=m(I),be=s(I,"DIV",{class:!0});var Tr=a(be);v(go.$$.fragment,Tr),_n=m(Tr),uo=s(Tr,"P",{});var $r=a(uo);kn=i($r,"Converts the output of "),Pt=s($r,"CODE",{});var Hi=a(Pt);vn=i(Hi,"Mask2FormerForUniversalSegmentationOutput"),Hi.forEach(t),bn=i($r,` into instance segmentation predictions.
Only supports PyTorch.`),$r.forEach(t),Tr.forEach(t),Fn=m(I),Fe=s(I,"DIV",{class:!0});var xr=a(Fe);v(_o.$$.fragment,xr),wn=m(xr),ko=s(xr,"P",{});var Ir=a(ko);yn=i(Ir,"Converts the output of "),Et=s(Ir,"CODE",{});var Wi=a(Et);Mn=i(Wi,"Mask2FormerForUniversalSegmentationOutput"),Wi.forEach(t),Tn=i(Ir,` into image panoptic segmentation
predictions. Only supports PyTorch.`),Ir.forEach(t),xr.forEach(t),I.forEach(t),this.h()},h(){l(h,"name","hf:doc:metadata"),l(h,"content",JSON.stringify(rl)),l(g,"id","mask2former"),l(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(g,"href","#mask2former"),l(_,"class","relative group"),l(se,"id","overview"),l(se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(se,"href","#overview"),l(V,"class","relative group"),l(Ee,"href","https://arxiv.org/abs/2112.01527"),l(Ee,"rel","nofollow"),l(Fo,"href","maskformer"),l(To,"href","maskformer"),l($o,"href","/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerImageProcessor"),l(xo,"href","/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoImageProcessor"),l(Io,"href","/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerImageProcessor.post_process_semantic_segmentation"),l(Po,"href","/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerImageProcessor.post_process_instance_segmentation"),l(Eo,"href","/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerImageProcessor.post_process_panoptic_segmentation"),l(zo,"href","/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerForUniversalSegmentation"),l(ze,"href","https://huggingface.co/shivi"),l(ze,"rel","nofollow"),l(Ce,"href","https://huggingface.co/adirik"),l(Ce,"rel","nofollow"),l(Ae,"href","https://github.com/facebookresearch/Mask2Former"),l(Ae,"rel","nofollow"),l(ne,"id","resources"),l(ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ne,"href","#resources"),l(K,"class","relative group"),l(Se,"href","https://github.com/NielsRogge/Transformers-Tutorials/tree/master/Mask2Former"),l(Se,"rel","nofollow"),l(ie,"id","transformers.models.mask2former.modeling_mask2former.Mask2FormerModelOutput"),l(ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ie,"href","#transformers.models.mask2former.modeling_mask2former.Mask2FormerModelOutput"),l(G,"class","relative group"),l(jo,"href","/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerModel"),l(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(So,"href","/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerImageProcessor.post_process_semantic_segmentation"),l(Lo,"href","/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerImageProcessor.post_process_instance_segmentation"),l(No,"href","/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerImageProcessor.post_process_panoptic_segmentation"),l(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(le,"id","transformers.Mask2FormerConfig"),l(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(le,"href","#transformers.Mask2FormerConfig"),l(X,"class","relative group"),l(qo,"href","/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerModel"),l(We,"href","https://huggingface.co/facebook/mask2former-swin-small-coco-instance"),l(We,"rel","nofollow"),l(Uo,"href","/docs/transformers/v4.26.1/en/main_classes/configuration#transformers.PretrainedConfig"),l(Do,"href","/docs/transformers/v4.26.1/en/main_classes/configuration#transformers.PretrainedConfig"),l(Ro,"href","swin"),l(Ho,"href","/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerConfig"),l(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Wo,"href","/docs/transformers/v4.26.1/en/main_classes/configuration#transformers.PretrainedConfig.to_dict"),l(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(pe,"id","transformers.Mask2FormerModel"),l(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(pe,"href","#transformers.Mask2FormerModel"),l(Y,"class","relative group"),l(Ye,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Ye,"rel","nofollow"),l(Bo,"href","/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerModel"),l(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ge,"id","transformers.Mask2FormerForUniversalSegmentation"),l(ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ge,"href","#transformers.Mask2FormerForUniversalSegmentation"),l(oe,"class","relative group"),l(so,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(so,"rel","nofollow"),l(Vo,"href","/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerForUniversalSegmentation"),l(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ke,"id","transformers.Mask2FormerImageProcessor"),l(ke,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ke,"href","#transformers.Mask2FormerImageProcessor"),l(re,"class","relative group"),l(Ko,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Go,"href","/docs/transformers/v4.26.1/en/model_doc/mask2former#transformers.Mask2FormerForUniversalSegmentation"),l(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,p){e(document.head,h),f(o,T,p),f(o,_,p),e(_,g),e(g,M),b(c,M,null),e(_,u),e(_,L),e(L,Pr),f(o,Ot,p),f(o,V,p),e(V,se),e(se,st),b(Pe,st,null),e(V,Er),e(V,at),e(at,zr),f(o,jt,p),f(o,W,p),e(W,Cr),e(W,Ee),e(Ee,Ar),e(W,Or),e(W,Fo),e(Fo,jr),e(W,Sr),f(o,St,p),f(o,wo,p),e(wo,Lr),f(o,Lt,p),f(o,yo,p),e(yo,nt),e(nt,Nr),f(o,Nt,p),f(o,Mo,p),e(Mo,qr),f(o,qt,p),f(o,ae,p),e(ae,N),e(N,Ur),e(N,To),e(To,Dr),e(N,Rr),e(N,$o),e($o,Hr),e(N,Wr),e(N,xo),e(xo,Br),e(N,Vr),e(ae,Kr),e(ae,P),e(P,Gr),e(P,Io),e(Io,Qr),e(P,Xr),e(P,Po),e(Po,Jr),e(P,Zr),e(P,Eo),e(Eo,Yr),e(P,es),e(P,zo),e(zo,os),e(P,ts),e(P,it),e(it,rs),e(P,ss),f(o,Ut,p),f(o,A,p),e(A,as),e(A,ze),e(ze,ns),e(A,is),e(A,Ce),e(Ce,ls),e(A,ds),e(A,Ae),e(Ae,ms),e(A,cs),f(o,Dt,p),f(o,K,p),e(K,ne),e(ne,lt),b(Oe,lt,null),e(K,ps),e(K,dt),e(dt,fs),f(o,Rt,p),f(o,Co,p),e(Co,hs),f(o,Ht,p),f(o,Ao,p),e(Ao,je),e(je,gs),e(je,Se),e(Se,us),e(je,_s),f(o,Wt,p),f(o,Oo,p),e(Oo,ks),f(o,Bt,p),f(o,G,p),e(G,ie),e(ie,mt),b(Le,mt,null),e(G,vs),e(G,ct),e(ct,bs),f(o,Vt,p),f(o,Q,p),b(Ne,Q,null),e(Q,Fs),e(Q,qe),e(qe,ws),e(qe,jo),e(jo,ys),e(qe,Ms),f(o,Kt,p),f(o,q,p),b(Ue,q,null),e(q,Ts),e(q,De),e(De,$s),e(De,pt),e(pt,xs),e(De,Is),e(q,Ps),e(q,U),e(U,Es),e(U,So),e(So,zs),e(U,Cs),e(U,Lo),e(Lo,As),e(U,Os),e(U,No),e(No,js),e(U,Ss),f(o,Gt,p),f(o,X,p),e(X,le),e(le,ft),b(Re,ft,null),e(X,Ls),e(X,ht),e(ht,Ns),f(o,Qt,p),f(o,x,p),b(He,x,null),e(x,qs),e(x,J),e(J,Us),e(J,qo),e(qo,Ds),e(J,Rs),e(J,We),e(We,Hs),e(J,Ws),e(x,Bs),e(x,Z),e(Z,Vs),e(Z,Uo),e(Uo,Ks),e(Z,Gs),e(Z,Do),e(Do,Qs),e(Z,Xs),e(x,Js),e(x,Be),e(Be,Zs),e(Be,Ro),e(Ro,Ys),e(Be,ea),e(x,oa),b(de,x,null),e(x,ta),e(x,me),b(Ve,me,null),e(me,ra),e(me,Ke),e(Ke,sa),e(Ke,Ho),e(Ho,aa),e(Ke,na),e(x,ia),e(x,ce),b(Ge,ce,null),e(ce,la),e(ce,Qe),e(Qe,da),e(Qe,Wo),e(Wo,ma),e(Qe,ca),f(o,Xt,p),f(o,Y,p),e(Y,pe),e(pe,gt),b(Xe,gt,null),e(Y,pa),e(Y,ut),e(ut,fa),f(o,Jt,p),f(o,D,p),b(Je,D,null),e(D,ha),e(D,Ze),e(Ze,ga),e(Ze,Ye),e(Ye,ua),e(Ze,_a),e(D,ka),e(D,O),b(eo,O,null),e(O,va),e(O,ee),e(ee,ba),e(ee,Bo),e(Bo,Fa),e(ee,wa),e(ee,_t),e(_t,ya),e(ee,Ma),e(O,Ta),b(fe,O,null),e(O,$a),b(he,O,null),f(o,Zt,p),f(o,oe,p),e(oe,ge),e(ge,kt),b(oo,kt,null),e(oe,xa),e(oe,vt),e(vt,Ia),f(o,Yt,p),f(o,R,p),b(to,R,null),e(R,Pa),e(R,ro),e(ro,Ea),e(ro,so),e(so,za),e(ro,Ca),e(R,Aa),e(R,j),b(ao,j,null),e(j,Oa),e(j,te),e(te,ja),e(te,Vo),e(Vo,Sa),e(te,La),e(te,bt),e(bt,Na),e(te,qa),e(j,Ua),b(ue,j,null),e(j,Da),b(_e,j,null),f(o,er,p),f(o,re,p),e(re,ke),e(ke,Ft),b(no,Ft,null),e(re,Ra),e(re,wt),e(wt,Ha),f(o,or,p),f(o,$,p),b(io,$,null),e($,Wa),e($,yt),e(yt,Ba),e($,Va),e($,lo),e(lo,Ka),e(lo,Mt),e(Mt,Ga),e(lo,Qa),e($,Xa),e($,Ko),b(mo,Ko,null),e($,Ja),e($,B),b(co,B,null),e(B,Za),e(B,po),e(po,Ya),e(po,Tt),e(Tt,en),e(po,on),e(B,tn),e(B,H),e(H,rn),e(H,$t),e($t,sn),e(H,an),e(H,xt),e(xt,nn),e(H,ln),e(H,It),e(It,dn),e(H,mn),e($,cn),e($,ve),b(fo,ve,null),e(ve,pn),e(ve,ho),e(ho,fn),e(ho,Go),e(Go,hn),e(ho,gn),e($,un),e($,be),b(go,be,null),e(be,_n),e(be,uo),e(uo,kn),e(uo,Pt),e(Pt,vn),e(uo,bn),e($,Fn),e($,Fe),b(_o,Fe,null),e(Fe,wn),e(Fe,ko),e(ko,yn),e(ko,Et),e(Et,Mn),e(ko,Tn),tr=!0},p(o,[p]){const vo={};p&2&&(vo.$$scope={dirty:p,ctx:o}),de.$set(vo);const zt={};p&2&&(zt.$$scope={dirty:p,ctx:o}),fe.$set(zt);const Ct={};p&2&&(Ct.$$scope={dirty:p,ctx:o}),he.$set(Ct);const At={};p&2&&(At.$$scope={dirty:p,ctx:o}),ue.$set(At);const bo={};p&2&&(bo.$$scope={dirty:p,ctx:o}),_e.$set(bo)},i(o){tr||(F(c.$$.fragment,o),F(Pe.$$.fragment,o),F(Oe.$$.fragment,o),F(Le.$$.fragment,o),F(Ne.$$.fragment,o),F(Ue.$$.fragment,o),F(Re.$$.fragment,o),F(He.$$.fragment,o),F(de.$$.fragment,o),F(Ve.$$.fragment,o),F(Ge.$$.fragment,o),F(Xe.$$.fragment,o),F(Je.$$.fragment,o),F(eo.$$.fragment,o),F(fe.$$.fragment,o),F(he.$$.fragment,o),F(oo.$$.fragment,o),F(to.$$.fragment,o),F(ao.$$.fragment,o),F(ue.$$.fragment,o),F(_e.$$.fragment,o),F(no.$$.fragment,o),F(io.$$.fragment,o),F(mo.$$.fragment,o),F(co.$$.fragment,o),F(fo.$$.fragment,o),F(go.$$.fragment,o),F(_o.$$.fragment,o),tr=!0)},o(o){w(c.$$.fragment,o),w(Pe.$$.fragment,o),w(Oe.$$.fragment,o),w(Le.$$.fragment,o),w(Ne.$$.fragment,o),w(Ue.$$.fragment,o),w(Re.$$.fragment,o),w(He.$$.fragment,o),w(de.$$.fragment,o),w(Ve.$$.fragment,o),w(Ge.$$.fragment,o),w(Xe.$$.fragment,o),w(Je.$$.fragment,o),w(eo.$$.fragment,o),w(fe.$$.fragment,o),w(he.$$.fragment,o),w(oo.$$.fragment,o),w(to.$$.fragment,o),w(ao.$$.fragment,o),w(ue.$$.fragment,o),w(_e.$$.fragment,o),w(no.$$.fragment,o),w(io.$$.fragment,o),w(mo.$$.fragment,o),w(co.$$.fragment,o),w(fo.$$.fragment,o),w(go.$$.fragment,o),w(_o.$$.fragment,o),tr=!1},d(o){t(h),o&&t(T),o&&t(_),y(c),o&&t(Ot),o&&t(V),y(Pe),o&&t(jt),o&&t(W),o&&t(St),o&&t(wo),o&&t(Lt),o&&t(yo),o&&t(Nt),o&&t(Mo),o&&t(qt),o&&t(ae),o&&t(Ut),o&&t(A),o&&t(Dt),o&&t(K),y(Oe),o&&t(Rt),o&&t(Co),o&&t(Ht),o&&t(Ao),o&&t(Wt),o&&t(Oo),o&&t(Bt),o&&t(G),y(Le),o&&t(Vt),o&&t(Q),y(Ne),o&&t(Kt),o&&t(q),y(Ue),o&&t(Gt),o&&t(X),y(Re),o&&t(Qt),o&&t(x),y(He),y(de),y(Ve),y(Ge),o&&t(Xt),o&&t(Y),y(Xe),o&&t(Jt),o&&t(D),y(Je),y(eo),y(fe),y(he),o&&t(Zt),o&&t(oe),y(oo),o&&t(Yt),o&&t(R),y(to),y(ao),y(ue),y(_e),o&&t(er),o&&t(re),y(no),o&&t(or),o&&t($),y(io),y(mo),y(co),y(fo),y(go),y(_o)}}}const rl={local:"mask2former",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.models.mask2former.modeling_mask2former.Mask2FormerModelOutput",title:"MaskFormer specific outputs"},{local:"transformers.Mask2FormerConfig",title:"Mask2FormerConfig"},{local:"transformers.Mask2FormerModel",title:"Mask2FormerModel"},{local:"transformers.Mask2FormerForUniversalSegmentation",title:"Mask2FormerForUniversalSegmentation"},{local:"transformers.Mask2FormerImageProcessor",title:"Mask2FormerImageProcessor"}],title:"Mask2Former"};function sl(C){return Xi(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class cl extends Vi{constructor(h){super();Ki(this,h,sl,tl,Gi,{})}}export{cl as default,rl as metadata};
